import Logging from "@hibas123/nodelogging";
// import getLevelDB from "./storage";
// import Settings from "./settings";
import Web from "./web";
import config from "./config";
import { DatabaseManager } from "./database/database";
import { createServer } from "http";
import { ConnectionManager } from "./connection";

// Logging.debug(getLevelDB("system"));

DatabaseManager.init().then(() => {
   const http = createServer(Web.callback());
   ConnectionManager.bind(http);
   const port = Number(config.general.port) || 5013;
   http.listen(port, () => Logging.log("Listening on port:", port))
}).catch(err => {
   Logging.error(err);
   process.exit(-1);
})